﻿/* 
【csStorage.cs】by.YOS G-spec 2014/06/28
webstorageを参考にしたC#用の簡単なテキスト保存用メソッド。

using Storage;
( namespace{ )
	( class{ )
		Storage.csStorage csStorage=new Storage.csStorage();
【保存用メソッド】
csStorage.setItem(key, item)
csStorage.setItem_bool(key, item)
csStorage.setItem_int(key, item)
csStorage.setItem_float(key, item)
【読込用メソッド】
csStorage.getItem(key)
csStorage.getItem_bool(key)
csStorage.getItem_int(key)
csStorage.getItem_float(key)
*/
using System;
using System.IO;
namespace Storage {
	class csStorage {
		/* 保存フォルダ*/
		private string folder() {
			return "storage";
		}
		/* 保存フォルダ*/

		public void setItem(string key, string item) {
			if (!System.IO.Directory.Exists(folder())) {
				System.IO.Directory.CreateDirectory(folder());
			}
			string pass = folder() + "\\" + key + ".ini";
			System.IO.StreamWriter stream = new System.IO.StreamWriter(pass, false, System.Text.Encoding.GetEncoding("shift_jis"));
			stream.Write(item);
			stream.Close();
		}

		public string getItem(string key) {
			try {
				string pass = folder() + "\\" + key + ".ini";
				System.IO.StreamReader stream = new System.IO.StreamReader(pass, System.Text.Encoding.GetEncoding("shift_jis"));
				string item = stream.ReadToEnd();
				stream.Close();
				return item;
			}
			catch {
				return null;
			}
		}

		public void setItem_bool(string key, bool? item) {
			string itemstring = (item==true) ? "1" : "0";
			setItem(key, itemstring);
		}

		public bool? getItem_bool(string key) {
			bool? item = Convert.ToBoolean(Convert.ToInt32(getItem(key)));
			return item;
		}

		public void setItem_int(string key, int item) {
			setItem(key, ""+item);
		}

		public int getItem_int(string key) {
			int item = Convert.ToInt32(getItem(key));
			return item;
		}

		public void setItem_float(string key, float item) {
			setItem(key, ""+item);
		}

		public float getItem_float(string key) {
			float item = Convert.ToSingle(getItem(key));
			return item;
		}
	}
}